;; * egg
;(add-to-list 'load-path (expand-file-name "egg/" init-dir))
;(require 'egg)

;; * git-emacs
(add-to-list 'load-path (expand-file-name "git-emacs/" init-dir))
(fmakunbound 'git-status)
(require 'git-emacs-autoloads)

;; * diff mode hook
(add-hook 'diff-mode-hook
      (function (lambda ()
              (setq outline-regexp "diff\\|@@\\|*\\{10,\\}")
              (setq outline-heading-alist
                '(("diff" . 1) ("@@" . 2) ("*\\{10,\\}" . 2))
                )
              (outline-minor-mode)
;             (hide-body)
              (view-mode)
              )))
