(unless (boundp 'init-dir)

  (setq
   init-start     (time-to-seconds)
   init-dir       (expand-file-name
                   (if (eq system-type 'windows-nt)
                       (concat exec-directory "../init.emacs/")
                     "~/init.emacs/"))
   null           (dolist (init-lp (directory-files init-dir t "^_"))
                    (when (file-directory-p init-lp)
                      (add-to-list 'load-path init-lp)))
   init-files     (mapc 'load (directory-files init-dir t "\\.el\\'"))
   init-stop      (time-to-seconds)
   )

  (add-hook 'emacs-startup-hook
            '(lambda ()
               (message "load %d init file , spend %g seconds ; startup spend %g seconds"
                        (length init-files)
                        (- init-stop init-start)
                        (- (time-to-seconds) init-start))))
)
