;; * 配置书签
(setq bookmark-default-file "~/.emacs.d/emacs-bmk"
      bookmark-save-flag 1
      )

;; * Desktop Reload
(load "desktop")
(add-to-list 'desktop-modes-not-to-save 'dired-mode)
(add-to-list 'desktop-modes-not-to-save 'Info-mode)
(add-to-list 'desktop-modes-not-to-save 'info-lookup-mode)
(add-to-list 'desktop-modes-not-to-save 'fundamental-mode)
;; use only one desktop
(setq desktop-path '("~/.emacs.d/"))
(setq desktop-dirname "~/.emacs.d/")
(setq desktop-base-file-name
      (concat "emacs-" (nth 2 (split-string (version))) "-desktop"))
(desktop-save-mode t)

;; * recentf
(require 'recentf)
(recentf-mode 1)

(defun recentf-open-files-compl ()
  (interactive)
  (let* ((all-files recentf-list)
     (tocpl (mapcar (function
             (lambda (x) (cons (file-name-nondirectory x) x))) all-files))
     (prompt (append '("File name: ") tocpl))
     (fname (completing-read (car prompt) (cdr prompt) nil nil)))
    (find-file (cdr (assoc-ignore-representation fname tocpl)))))
;; ** keybind
;(global-set-key [(control x)(control r)] 'recentf-open-files-compl)
