(require 'color-theme)

(defun color-theme-ran9er ()
  (interactive)
  (color-theme-install
   '(color-theme-ran9er
      ((background-color . "#1d4044")
      (background-mode . light)
      (border-color . "#53798d")
      (cursor-color . "#fce94f")
      (foreground-color . "#eeeeec")
      (mouse-color . "black"))
     (fringe ((t (:foreground "#1e3f48" :background "#53798d"))))
     (mode-line ((t (:foreground "#eeeeec" :background "#555753"))))
     (region ((t (:background "#107500"))))
     (font-lock-builtin-face ((t (:foreground "#ed6e80"))))
     (font-lock-comment-face ((t (:foreground "#888a85"))))
     (font-lock-function-name-face ((t (:foreground "#edd400"))))
     (font-lock-keyword-face ((t (:foreground "#729fcf"))))
     (font-lock-string-face ((t (:foreground "#ad7fa8"))))
     (font-lock-type-face ((t (:foreground "#84c544"))))
     (font-lock-variable-name-face ((t (:foreground "#38d8f0"))))
     (minibuffer-prompt ((t (:foreground "#89bbe1" :bold t))))
     (font-lock-warning-face ((t (:foreground "Red" :bold t))))
     )))
(provide 'color-theme-ran9er)

(eval-after-load "color-theme"
  '(progn
     (color-theme-initialize)
     (color-theme-ran9er)
;    (color-theme-robin-hood)
;    (set-face-attribute 'fringe nil :foreground  (background-color-at-point))
     )
  )

;; M-x list-colors-display

